[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TIniFileKeyList

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Key list object

## Declaration

Source position: inifiles.pp line 87

`type TIniFileKeyList = class(TList)`
`public`
`destructor Destroy; override;` |  | Free the instance
`procedure Clear; override;` |  | Clear the list
`property Items: TIniFileKey; default; [r]` |  | Indexed access to TIniFileKey items in the list
`end;`

## Inheritance

`TIniFileKeyList` |  | Key list object
`TList,IFPObserved`
`TObject`

## Description

TIniFileKeyList maintains a list of TIniFileKey instances on behalf of the TIniFileSection class. It stores they keys of one section of the .ini files.

## See also

TIniFileKey |  | Object representing a key=value pair in the ini file.
TIniFileSection |  | Ini file section object

Documentation generated on: Feb 26 2014